/*
 *    jackclient.h
 *
 *
 *    this file is part of:
 *
 *    JackDirector 0.1   ---   Start/Stop Transport by midi command, play a metronome
 *
 *    jack-director - 2014 (C) by Sergio Atzori <sergioatzori [at] gmail.com>
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _JACKCLIENT_H_INCLUDED_
#define _JACKCLIENT_H_INCLUDED_

#include <jack/jack.h>

/*
 * function prototypes
 */

static void signalHandler(int sig);
static void signalUsr1(int sig);
void InstallSignalHandler();
static int jackProcess(jack_nframes_t nframes, void *arg);
static void jackShutdown(void *arg);
int jackClient();
static void processSilence(jack_nframes_t nframes);
static void processAudio(jack_nframes_t nframes);

#endif
